#
# spec file for package aspell (Version 0.50.3)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  gpp libgpp tetex x-devel-packages
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs autoconf automake binutils cracklib fontconfig fontconfig-devel gcc gcc-c++ gdbm gettext libstdc++-devel libtool perl rpm te_ams te_latex tetex

Name:         aspell
License:      LGPL
Group:        Productivity/Text/Spell
Provides:     spell pspell
Obsoletes:    pspell
Autoreqprov:  on
Version:      0.50.3
Release:      91
Summary:      A Free and Open Source spell checker
URL:          http://aspell.net/
Source:       aspell-%{version}.tar.bz2
Patch0:       aspell-%{version}.patch
Patch1:       aspell-%{version}-doc.patch
Patch2:       aspell-%{version}-gcc33.patch
Patch3:       aspell-%{version}-assert.dif
Patch4:       aspell-%{version}-42197.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
GNU Aspell is a spell checker designed to eventually replace Ispell. It
can be used as a library or as an independent spell checker.

Its main feature is that it does a much better job of coming up with
possible suggestions than just about any other spell checker available
for the English language, including Ispell and Microsoft Word. It also
has many other technical enhancements over Ispell such as using shared
memory for dictionaries and intelligently handling personal
dictionaries when more than one Aspell process is open at once.

Note: It is a combination of the original Aspell and Pspell which
should be at least as stable as the original Aspell/Pspell combination.



%package devel
Provides:     pspell-devel
Requires:     aspell = %{version}
Obsoletes:    pspell-devel
Summary:      Include Files and Libraries Mandatory for Development
Group:        Development/Libraries/C and C++

%description devel
This package contains all necessary include files andlibraries needed
to develop applications that require these.



%prep
%setup -q
%patch0
%patch1
%patch2
%patch3
%patch4

%build
%{suse_update_config}
rm aclocal.m4
rm -f missing 		# Get newest from automake
autoreconf -fi
CFLAGS="$RPM_OPT_FLAGS" \
CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{_prefix} \
	    --libdir=%{_libdir} \
	    --enable-dict-dir=%{_prefix}/lib/aspell \
            --enable-static
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT%{_datadir}/aspell/spell $RPM_BUILD_ROOT%{_bindir}/
#
# create directory for precompiled dictionaries
install -m 755 -d $RPM_BUILD_ROOT%{_prefix}/lib/aspell
#
# documentation
mv $RPM_BUILD_ROOT%{_datadir}/doc/aspell .

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README ChangeLog aspell/man*
%{_bindir}/aspell
%{_bindir}/aspell-import
%{_bindir}/run-with-aspell
%{_bindir}/spell
%{_bindir}/word-list-compress
%{_libdir}/libaspell.so.*
%{_libdir}/libpspell.so.*
%dir %{_prefix}/lib/aspell/
%{_datadir}/aspell/

%files devel
%defattr(-,root,root)
%doc aspell/dev*
%{_prefix}/include/*
%{_bindir}/pspell-config
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/libaspell.so
%{_libdir}/libpspell.so

%changelog -n aspell
* Mon Aug 02 2004 - ltinkl@suse.cz
- really fix #42197
* Wed Jun 30 2004 - ltinkl@suse.cz
- fix buffer overflow (#42197)
* Wed Jul 23 2003 - ltinkl@suse.cz
- updated sources to 0.50.3
- package ChangeLog instead of empty TODO
- removed unused patch
* Wed May 21 2003 - pmladek@suse.cz
- fixed installation of documentation that rpm does not complain
  about unpacked files
* Tue Feb 25 2003 - kukuk@suse.de
- Include assert.h
* Fri Jan 31 2003 - pmladek@suse.cz
- fixed to link the libraries with -lstdc++
* Wed Nov 20 2002 - pmladek@suse.cz
- fixed invalid declaration which breaks building with gcc-3.3
- used x-devel-packages in neededforbuild instead of the obsolete xf86
* Fri Nov 01 2002 - pmladek@suse.cz
- updated to version 0.50.2:
  * merged with pspell
  * changed way to handle dictionaries
  * added aspell-import script to convert old dictionaries
  * pspell ABI is now part of aspell except that the name of everything has
  changed due to the renaming of pspell to aspell
  * provided pspell backward compatibility header file
  * the name of the language-tag option has changed to lang
  * backward compatible the language-tag option will still work
  * english dictionaries are built from separate package
  * see more details in /usr/share/doc/packages/aspell/README
- removed obsolete config files
- removed obsolete patches for automake, gcc3.x and x86_64
- fixed list of documentation to install
- fixed to compile example with gcc
- fixed problem with locking on nfs
* Fri Aug 30 2002 - pmladek@suse.cz
- fixed dependency of the devel subpackage on the main package (used %%version)
* Wed May 29 2002 - meissner@suse.de
- The hashing code did not halt in some hash bucket size cases
  which were reached due to slightly different floating point
  handling in x86_64.
  Now using integer arithmetic.
* Mon Apr 15 2002 - pmladek@suse.cz
- fixed to compile with gcc-3.1
* Thu Jan 10 2002 - pmladek@suse.cz
- used macro %%{_libdir} to fix for lib64
* Fri Dec 14 2001 - pmladek@suse.cz
- updated to version .33.7.1:
  * Minor manual fixes
  * compile fix for gcc 3.0 and Solaris
- added the patch aspell-.33-fix2.diff from sourceforge
- removed obsolete axp patch
- fixed file list
* Thu Oct 18 2001 - pmladek@suse.cz
- moved spell to /usr/bin (default path)
- added spell to Provides
- added aspell-en to Requires because of spell
* Thu Oct 04 2001 - schwab@suse.de
- Fix for automake 1.5.
- Avoid macro in Version tag.
* Mon Aug 27 2001 - pmladek@suse.cz
- fixed to compile on axp:
  * fixed declaration of friend classes
* Fri Aug 17 2001 - pmladek@suse.cz
- fixed file list
- added ed and dialog to neededforbuild through tetex
* Thu Aug 16 2001 - pmladek@suse.cz
- updated to version 0.33.7
- fixed documentation
* Tue Jun 26 2001 - schwab@suse.de
- Remove -I$(includedir).
* Mon Jun 11 2001 - ro@suse.de
- libtoolize to build
* Wed May 30 2001 - pmladek@suse.cz
- package created
- added start script and configurations for each spelling and jargon
